%define major   5.1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           fuzzylite
Version:        5.1
Release:        %mkrel 3
Summary:        A fuzzy logic control library in C++
Group:          System/Libraries
# Next version (6.0) will be: GPLv3 or ASL 2.0
License:        LGPLv3
URL:            http://www.fuzzylite.com
Source0:        https://github.com/fuzzylite/fuzzylite/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         fuzzylite-5.1-fuzzylite.pc-configurable-for-different-architectures.patch

BuildRequires:  cmake
Requires:       %{libname} = %{version}-%{release}

%description
Fuzzylite is a free and open-source fuzzy logic control library
programmed in C++ for multiple platforms (Windows, Linux, Mac, iOS).
Its goal is to allow you to easily create fuzzy logic controllers
in a few steps utilizing object-oriented programming without
requiring any third-party libraries.

This package contains the %{name} console application.

%files
%{_bindir}/%{name}

#----------------------------------------------------------------------

%package -n     %{libname}
Summary:        A fuzzy logic control library in C++
Group:          System/Libraries

%description -n %{libname}
Fuzzylite is a free and open-source fuzzy logic control library
programmed in C++ for multiple platforms (Windows, Linux, Mac, iOS).
Its goal is to allow you to easily create fuzzy logic controllers
in a few steps utilizing object-oriented programming without
requiring any third-party libraries.

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development headers and library for %{name}.

%files -n       %{devname}
%doc AUTHOR ChangeLog LICENSE NEWS README.md
%{_includedir}/fl/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DFL_BUILD_STATIC=OFF \
       -DFL_BACKTRACE=ON \
       ../fuzzylite
%make_build

%install
%make_install -C build


%changelog
* Wed Mar 29 2017 akien <akien> 5.1-3.mga6
+ Revision: 1095203
- Revert to 5.1, vcmi is not yet compatible with 6.0

* Fri Mar 24 2017 akien <akien> 6.0-1.mga6
+ Revision: 1094704
- Version 6.0

* Thu Feb 11 2016 umeabot <umeabot> 5.1-2.mga6
+ Revision: 953969
- Mageia 6 Mass Rebuild

* Sun Sep 27 2015 akien <akien> 5.1-1.mga6
+ Revision: 884305
- Version 5.1

* Sun Nov 02 2014 akien <akien> 5.0-1.20141102.1.mga5
+ Revision: 795285
- imported package fuzzylite

